﻿using System;
using System.Linq;
using System.Web.Mvc;
using DbFirst;

namespace MvcApplicationDbFirst.Controllers
{
  //[Authorize]
  //[HandleError]
  //[Authorize(Users = "Alice,Bob")]
  //[Authorize(Roles = "Administrators")]
  //[AllowAnonymous]
  public sealed class ProductsController : Controller
  {
    [HttpGet]
    public ViewResult Index()
    {
      using (var db = new NORTHWNDEntities())
      {
        throw new Exception();
        var items = db.Products.ToList();
        return View(items);
      }
    }

    [HttpGet]
    public ViewResult Edit(Int32 id)
    {
      using (var db = new NORTHWNDEntities())
      {
        var item = db.Products.FirstOrDefault(i => i.ProductID == id);
        return View(item);
      }
    }

    [HttpGet]
    public ViewResult Create()
    {
      return View(new Products());
    }

    [HttpPost]
    public ActionResult Create(FormCollection collection)
    {
      using (var db = new NORTHWNDEntities())
      {
        var product = new Products();
        try
        {
          UpdateModel(product);
          ValidateModel(product);

          if (ModelState.IsValid)
          {
            db.Products.Add(product);
            db.SaveChanges();

            return RedirectToAction("Index");
          }
        }
        catch (Exception e)
        {

        }

        return View(product);
      }
    }

    [HttpGet]
    public ActionResult Delete(int id)
    {
      using (var db = new NORTHWNDEntities())
      {
        var product = db.Products.Find(id);
        if (product != null)
        {
          return View(product);
        }
      }

      return RedirectToAction("Index");
    }


    [HttpPost]
    public ActionResult Delete(int id, FormCollection collection)
    {
      using (var db = new NORTHWNDEntities())
      {
        var product = db.Products.Find(id);
        if (product != null)
        {
          db.Products.Remove(product);
          db.SaveChanges();
        }
      }

      return RedirectToAction("Index");
    }

    [HttpGet]
    public ActionResult MostExpensive()
    {
      using (var db = new NORTHWNDEntities())
      {
        var mostExpensive = db.Ten_Most_Expensive_Products().ToList();
        return View("MostExpensive", mostExpensive);
      }
    }
  }
}