﻿using System.Data.Entity.ModelConfiguration;
using CodeFirst.Data;

namespace CodeFirst.Support
{
  internal sealed class OrderEntityConfiguration : EntityTypeConfiguration<Order>
  {
    public OrderEntityConfiguration()
    {
      Property(i => i.Freight).HasPrecision(12, 2);
      Property(i => i.ShipAddress).HasMaxLength(1024);
    }
  }
}
