﻿using System.Collections.Generic;
using DbFirst;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MvcApplicationDbFirst.Controllers;

namespace MvcApplicationDbFirst.Tests.Controllers
{
  [TestClass]
  public class ProductControllerUniTest
  {
    [TestMethod]
    public void Index()
    {
      var controller = GetController();
      var result = controller.Index();
      
      Assert.IsNotNull(result);
      Assert.IsNotNull(result.Model);
      Assert.IsInstanceOfType(result.Model, typeof(IEnumerable<Products>));
    }

    private static ProductsController GetController()
    {
      return new ProductsController();
    }
  }
}
